<?php
/**
 * The edit score rule view file of score module of ZDOO.
 *
 * @copyright   Copyright 2009-2020 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     score
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../sys/common/view/header.modal.html.php';?>
<form id='editRuleForm' method='post' action='<?php echo inlink('editRule', "ruleID={$rule->id}");?>'>
  <table class='table table-form'>
    <tr>
      <th><?php echo $lang->scorerule->type;?></th>
      <td>
        <?php echo html::select('type', $lang->score->typeList, $rule->type, "class='form-control chosen'" . ($rule->buildin ? 'disabled' : ''));?>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->scorerule->name;?></th>
      <td>
        <?php echo html::input('name', $rule->name, "class='form-control'");?>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->scorerule->score;?></th>
      <td>
        <?php echo html::number('score', $rule->score, "class='form-control' min='-999' max='999'");?>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->scorerule->desc;?></th>
      <td>
        <?php echo html::textarea('desc', $rule->desc, "class='form-control'");?>
      </td>
    </tr>
    <tr>
      <th></th>
      <td class='form-actions'>
        <?php echo html::submitButton();?>
        <?php echo html::commonButton($lang->cancel, 'btn', "data-dismiss='modal'");?>
      </td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
